Bug 414161 - cups-lpd: it is not possible to turn off banner pages (job-sheets)
cups-lpd: it is not possible to turn off banner pages (job-sheets)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2007-12-06 10:36 EST by Gary Mansell
Modified: 2007-12-11 09:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-11 09:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Mansell 2007-12-06 10:36:14 EST
Description of problem:

To prevent banner pages you should edit /etc/xinetd.d/cups-lpd and add the line:

server_args = -o job-sheets=none

This does not work - when a UNIX client prints through via lpd to cups the
banner page still gets printed.

Version-Release number of selected component (if applicable):

RHEL 5 fully up2date

How reproducible:


Steps to Reproduce:
Actual results:
Banner pages gets printed as well as printout

Expected results:
No Banner Page should be printed

Additional info:
Comment 1 Tim Waugh 2007-12-10 08:17:50 EST
What does 'rpm -q cups' say?  This sounds like bug #230073 which is meant to be
fixed already.
Comment 2 Gary Mansell 2007-12-11 07:03:29 EST
Here are the details of all the cups packages installed:

[root@nptsrv1 ~]# rpm -qa | grep cups
[root@nptsrv1 ~]# 

Comment 3 Gary Mansell 2007-12-11 07:05:22 EST
I would also like to add that I have also tried the following:

server_args = -o job-sheets=none,none

I believe that cups-lpd is reading the server_args line because if I put in the

 server_args = -o document-format=application/octet-stream

The cups-lpd package correctly detects job format types and prints them correctly.

Comment 4 Gary Mansell 2007-12-11 08:00:51 EST
This is the error in the messages file:

Dec 11 12:57:59 nptsrv1 xinetd[3498]: START: printer pid=880 from=
Dec 11 12:57:59 nptsrv1 cups-lpd[880]: Unknown command-line option
"job-sheets=none,none" ignored!
Dec 11 12:57:59 nptsrv1 cups-lpd[880]: Connection from (IPv4
Dec 11 12:57:59 nptsrv1 cups-lpd[880]: Receive print job for IS2320-70
Dec 11 12:57:59 nptsrv1 cups-lpd[880]: Print file - job ID = 75
Dec 11 12:57:59 nptsrv1 cups-lpd[880]: Closing connection
Dec 11 12:57:59 nptsrv1 xinetd[3498]: EXIT: printer status=0 pid=880 duration=0(sec)

This is my /etc/xinetd.d/cups-lpd file:

[root@nptsrv1 log]# more /etc/xinetd.d/cups-lpd
# default: off
# description: Allow applications using the legacy lpd protocol to communicate
with CUPS
service printer
        disable = no
        socket_type = stream
        protocol = tcp
        wait = no
        user = lp
        server = /usr/lib/cups/daemon/cups-lpd
        server_args = -o document-format=application/octet-stream
[root@nptsrv1 log]#
Comment 5 Tim Waugh 2007-12-11 08:31:27 EST
The reason for the error you cite in comment #4 is that you have missed '-o'
before 'job-sheets=none,none' -- -o only specifies one option at a time when not

Please include more information:

1. Please attach /etc/cups/printers.conf and /etc/cups/lpoptions.

2. How are jobs submitted?  What is the client system, and what command is used
to submit the job?
Comment 6 Gary Mansell 2007-12-11 08:53:57 EST
Thanks - that was the error. You have to specify -o for every commandline option.

Hence the correct line in the file /etc/xinetd.d/cups-lpd (if you require
multiple options) is:

 server_args = -o document-format=application/octet-stream -o job-sheets=none,none

I have to say that this is rather counter-intuitive ???

I don't seem to be able to mark it as not a bug, are you able to close it?
Comment 7 Tim Waugh 2007-12-11 09:04:53 EST
Normally you can do this sort of thing:

lp -o "document-format=application/octet-stream job-sheets=none,none"

But I wouldn't like to guess how xinetd handles quoted words in the server_args


Note You need to log in before you can comment on or make changes to this bug.